/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.saas.dto.app;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * Restful接口--资源详情--数据传输对象：SaaS应用服务资源
 * <p>
 * createdate:  2021-03-16 13:47:24  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@JsonSerialize
@ApiModel(description = "SaaS应用服务资源")
public class SaaSAppResourceDetailDto implements Serializable
{
  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  private String id;
  /**
   * 微服务<br>
   */
  @ApiModelProperty("微服务")
  private String microServiceId;
  /**
   * 微服务名称 冗余<br>
   */
  @ApiModelProperty("微服务名称 冗余")
  private String appName;
  /**
   * 资源名称<br>
   */
  @ApiModelProperty("资源名称")
  private String resourceName;
  /**
   * 详细描述<br>
   */
  @ApiModelProperty("详细描述")
  private String resourceMemo;
  /**
   * 访问类型<br>
   */
  @ApiModelProperty("访问类型")
  private String httpMethod;
  /**
   * 资源地址<br>
   */
  @ApiModelProperty("资源地址")
  private String httpUrl;
  /**
   * 权限<br>
   */
  @ApiModelProperty("权限")
  private String authority;
  /**
   * 是否启用<br>
   */
  @ApiModelProperty("是否启用")
  private Boolean enabled;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;


  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public String getMicroServiceId()
  {
    return microServiceId;
  }

  public void setMicroServiceId(String microServiceId)
  {
    this.microServiceId = microServiceId;
  }

  public String getAppName()
  {
    return appName;
  }

  public void setAppName(String appName)
  {
    this.appName = appName;
  }

  public String getResourceName()
  {
    return resourceName;
  }

  public void setResourceName(String resourceName)
  {
    this.resourceName = resourceName;
  }

  public String getResourceMemo()
  {
    return resourceMemo;
  }

  public void setResourceMemo(String resourceMemo)
  {
    this.resourceMemo = resourceMemo;
  }

  public String getHttpMethod()
  {
    return httpMethod;
  }

  public void setHttpMethod(String httpMethod)
  {
    this.httpMethod = httpMethod;
  }

  public String getHttpUrl()
  {
    return httpUrl;
  }

  public void setHttpUrl(String httpUrl)
  {
    this.httpUrl = httpUrl;
  }

  public String getAuthority()
  {
    return authority;
  }

  public void setAuthority(String authority)
  {
    this.authority = authority;
  }

  public Boolean getEnabled()
  {
    return enabled;
  }

  public void setEnabled(Boolean enabled)
  {
    this.enabled = enabled;
  }

  public String getCreatedBy()
  {
    return createdBy;
  }

  public void setCreatedBy(String createdBy)
  {
    this.createdBy = createdBy;
  }

  public Date getCreatedTime()
  {
    return createdTime;
  }

  public void setCreatedTime(Date createdTime)
  {
    this.createdTime = createdTime;
  }

  public String getUpdatedBy()
  {
    return updatedBy;
  }

  public void setUpdatedBy(String updatedBy)
  {
    this.updatedBy = updatedBy;
  }

  public Date getUpdatedTime()
  {
    return updatedTime;
  }

  public void setUpdatedTime(Date updatedTime)
  {
    this.updatedTime = updatedTime;
  }
}